package com.vendor.burn.model.devices.burners;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.define.IFastbootProgressMonitor;
import com.vendor.burn.model.devices.burners.Uploader;
import com.vendor.burn.model.event.FastbootEvent;
import com.vendor.burn.serial.workers.OneImageBurnerWorker;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.core.runtime.jobs.Job;

class null extends Job {
  null(String name) {
    super(name);
  }
  
  protected IStatus run(IProgressMonitor monitor) {
    try {
      boolean isSucceed = worker.upload(monitor, Uploader.this.length, Uploader.this.address, Uploader.this.path);
      event.setSuccess(isSucceed);
    } catch (Throwable exception) {
      monitor.setCanceled(true);
      setMessage(fastbootMonitor, exception);
      return Status.CANCEL_STATUS;
    } finally {
      worker.close();
    } 
    return Status.OK_STATUS;
  }
  
  private void setMessage(IFastbootProgressMonitor monitor, Throwable exception) {
    if (monitor != null && monitor.getEvent() != null)
      monitor.getEvent().setMessage(exception.getMessage()); 
  }
}
